org.gradle.nativeplatform

## Enum Linkage

- java.lang.Object
- - java.lang.Enum<Linkage>
  - - org.gradle.nativeplatform.Linkage

- All Implemented Interfaces:
    Serializable, Comparable<Linkage>

      @Incubating
      public enum Linkage
      extends Enum<Linkage>

  Specify how a native library should be linked into another binary.
  Since:
    4.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHARED` Dynamically link binaries together.
    `STATIC` Statically link binaries together.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Linkage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Linkage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final Linkage STATIC

      Statically link binaries together.

    - #### SHARED

          public static final Linkage SHARED

      Dynamically link binaries together.

  - ### Method Detail

    - #### values

          public static Linkage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Linkage c : Linkage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Linkage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null